Skip to content

Get 'SubTenantTenantConnection'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/accounts/users/customer/subtenanttenantconnection/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/accounts/users/customer/subtenanttenantconnection/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

sub_tenantobject(SubTenant)required
stakeholder_typeinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Trustee

  • 1 - Contact Person

  • 2 - Administrator

  • 3 - Legal Guardian

Enum:0123
tenantobject(Tenant)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
parent_sub_tenantobject or null(SubTenant)
categoryinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Relative

  • 1 - Close Relative

  • 2 - Registered Partnership

  • 3 - Partner

  • 4 - Cohabitant

  • 5 - Child

  • 6 - Work

  • 7 - Resident

  • 8 - Disability Support

  • 9 - Live In Tenant

  • 10 - Welfare Support

  • 11 - Staff

  • 12 - Authorized Signatory

  • 13 - Financial Manager

  • 14 - Contract Manager

  • 15 - Premises Manager

  • 16 - Business Unit

  • 17 - It Support

  • 18 - Supplier Contact

  • 19 - Security Manager

  • 20 - Legal Contact

  • 21 - Ice Contact

Enum:0123456789
invoice_distribution_instructionArray of any or null
reminder_distribution_instructionArray of any or null
debt_distribution_instructionArray of any or null
prefer_invoice_view_onlyboolean
is_activeboolean
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "sub_tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "parent_sub_tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "category": 0, "invoice_distribution_instruction": [ null ], "reminder_distribution_instruction": [ null ], "debt_distribution_instruction": [ null ], "prefer_invoice_view_only": true, "stakeholder_type": 0, "is_active": true, "tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }